﻿
/*======================================== Table ================================================*/
/* Container pinned between top and bottom */
.classification-master-table-container {
    position: fixed; /* pin to viewport */
    top: 8rem; /* distance from top (adjust as needed) */
    bottom: 4rem; /* distance from bottom (adjust as needed) */
    left: 11.1rem;
    right: 0;
    background: #f9fcff;
    display: block;
    overflow-y: auto;
    overflow-x: auto;
    margin: 0 auto;
    scrollbar-width: auto; /* auto | thin | none */
    scrollbar-color: #99c2ff #f1f1f1; /* thumb color | track color */
}

/* Table with fixed column sizes */
.classification-master-content-table1 {
    border-collapse: collapse;
    width: 100%; /* table fills container */
    table-layout: fixed; /* ensures fixed column widths */
}

/* Table cells */
.classification-master-content-table1 th,
.classification-master-content-table1 td {
    text-align: left;
    padding: 10px;
    border-right: none;
    border-left: none;
    box-shadow:
    inset 0 -0.5px 0 #ccc,
    inset -0.5px 0 0 #ccc,
    inset 0.5px 0 0 #ccc;
    width: 300px;       /* fixed width per column */
    white-space: normal;       /* prevent wrapping */
    word-wrap: break-word;   /* break long words */
    overflow: hidden;   /* content doesn’t overflow */
}

/* Example fixed widths */
.classification-master-content-table1 th:nth-child(1),
.classification-master-content-table1 td:nth-child(1) {
    width: 50px;
    text-align: center;
}

.classification-master-content-table1 th:nth-child(2),
.classification-master-content-table1 td:nth-child(2) {
    width: 100px;
    text-align: center;
}
.classification-master-content-table1 th:nth-child(3),
.classification-master-content-table1 td:nth-child(3) {
    width: auto;
    text-align: center;
}

.classification-master-content-table1 th:last-child,
.classification-master-content-table1 td:last-child {
    width: 150px;
    text-align: center;
}

/* Sticky header */
.classification-master-content-table1 thead th {
    position: sticky;
    top: 0;
    background-color: #e6f2ff;
    box-shadow: 
    inset 0 -1px 0 #ccc, /* bottom line */
    inset 0 1px 0 #ccc, /* top line */
    inset -0.5px 0 0 #ccc, /* top line */
    inset 0.5px 0 0 #ccc; /* top line */
    z-index: 1; /* higher than sticky columns */
    text-align: center;
    font-weight: 500;
}

.classification-master-content-table1 thead tr input[type="checkbox"] {
    width: 15px;
    height: 15px;
    cursor: pointer;
    margin-left: 10px;
    background-color: #3399ff;
}

.classification-master-content-table1 tbody tr input[type="checkbox"] {
    width: 15px;
    height: 15px;
    cursor: pointer;
    margin-left: 10px;
    background-color: #3399ff;
}

/* Normal hover applies to all cells */
.classification-master-content-table1 tbody tr:hover td {
    background-color: #cce5ff !important;
}

/* Active row */
.classification-master-content-table1 tbody tr.active td {
    background-color: #cce5ff !important;
    font-weight: 500;
}

.filter-icon {
    fill: #3399ff;
    height: 20px;
    width: 20px;
    cursor: pointer;
}

.filter-icon:hover {
    fill: #3399ff;
}

.edit-btn-classification {
    height: 35px;
    width: 100px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    padding: 6px 6px;
    border: 1px solid #ccc;
    border-radius: 6px;
    background: #fff;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
}

.edit-icon {
    fill: #808080;
    height: 20px;
    width: 20px;
    cursor: pointer;
    margin-right: 20px;
}

.edit-icon:hover {
    fill: #3399ff;
}

.delete-icon {
    fill: #808080;
    height: 20px;
    width: 20px;
    cursor: pointer;
}

.delete-icon:hover {
    fill: red;
}

.classification-select select {
    display: block;
    width: 100%;
    height: 30px;
    background: transparent;
    border: solid 1px #ccc;
    transition: all .2s ease;
    padding: 0 15px;
    border-radius: 5px;
    font-size: 12px;
}
